Package org.wso2.carbon.proxyadmin.stub

# Interface ProxyServiceAdmin

All Known Implementing Classes:
  `ProxyServiceAdminStub`

public interface ProxyServiceAdmin

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addProxy(ProxyData pd84)`
  Auto generated method signature
  `String`
  `deleteProxyService(String proxyName80)`
  Auto generated method signature
  `String`
  `disableStatistics(String proxyName68)`
  Auto generated method signature
  `String`
  `disableTracing(String proxyName46)`
  Auto generated method signature
  `String`
  `enableStatistics(String proxyName64)`
  Auto generated method signature
  `String`
  `enableTracing(String proxyName53)`
  Auto generated method signature
  `String[]`
  `getAvailableEndpoints()`
  Auto generated method signature
  `String[]`
  `getAvailableSequences()`
  Auto generated method signature
  `String[]`
  `getAvailableTransports()`
  Auto generated method signature
  `String`
  `getEndpoint(String name72)`
  Auto generated method signature
  `MetaData`
  `getMetaData()`
  Auto generated method signature
  `ProxyData`
  `getProxy(String proxyName57)`
  Auto generated method signature
  `String`
  `getSourceView(ProxyData pd27)`
  Auto generated method signature
  `String`
  `modifyProxy(ProxyData pd31)`
  Auto generated method signature
  `String`
  `redeployProxyService(String proxyName35)`
  Auto generated method signature
  `void`
  `startaddProxy(ProxyData pd84, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startdeleteProxyService(String proxyName80, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startdisableStatistics(String proxyName68, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startdisableTracing(String proxyName46, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startenableStatistics(String proxyName64, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startenableTracing(String proxyName53, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAvailableEndpoints(ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAvailableSequences(ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetAvailableTransports(ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetEndpoint(String name72, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetMetaData(ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetProxy(String proxyName57, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetSourceView(ProxyData pd27, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startmodifyProxy(ProxyData pd31, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `String`
  `startProxyService(String proxyName42)`
  Auto generated method signature
  `void`
  `startredeployProxyService(String proxyName35, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startstartProxyService(String proxyName42, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startstopProxyService(String proxyName76, ProxyServiceAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `String`
  `stopProxyService(String proxyName76)`
  Auto generated method signature

- ## Method Details

  - ### getSourceView

    String getSourceView(ProxyData pd27) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getSourceView26` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetSourceView

    void startgetSourceView(ProxyData pd27, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getSourceView26` -
    Throws:
      `RemoteException`

  - ### modifyProxy

    String modifyProxy(ProxyData pd31) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `modifyProxy30` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startmodifyProxy

    void startmodifyProxy(ProxyData pd31, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `modifyProxy30` -
    Throws:
      `RemoteException`

  - ### redeployProxyService

    String redeployProxyService(String proxyName35) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `redeployProxyService34` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startredeployProxyService

    void startredeployProxyService(String proxyName35, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `redeployProxyService34` -
    Throws:
      `RemoteException`

  - ### getAvailableTransports

    String[] getAvailableTransports() throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getAvailableTransports38` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetAvailableTransports

    void startgetAvailableTransports(ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getAvailableTransports38` -
    Throws:
      `RemoteException`

  - ### startProxyService

    String startProxyService(String proxyName42) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `startProxyService41` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startstartProxyService

    void startstartProxyService(String proxyName42, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `startProxyService41` -
    Throws:
      `RemoteException`

  - ### disableTracing

    String disableTracing(String proxyName46) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `disableTracing45` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startdisableTracing

    void startdisableTracing(String proxyName46, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `disableTracing45` -
    Throws:
      `RemoteException`

  - ### getMetaData

    MetaData getMetaData() throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getMetaData49` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetMetaData

    void startgetMetaData(ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getMetaData49` -
    Throws:
      `RemoteException`

  - ### enableTracing

    String enableTracing(String proxyName53) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `enableTracing52` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startenableTracing

    void startenableTracing(String proxyName53, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `enableTracing52` -
    Throws:
      `RemoteException`

  - ### getProxy

    ProxyData getProxy(String proxyName57) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getProxy56` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetProxy

    void startgetProxy(String proxyName57, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getProxy56` -
    Throws:
      `RemoteException`

  - ### getAvailableEndpoints

    String[] getAvailableEndpoints() throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getAvailableEndpoints60` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetAvailableEndpoints

    void startgetAvailableEndpoints(ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getAvailableEndpoints60` -
    Throws:
      `RemoteException`

  - ### enableStatistics

    String enableStatistics(String proxyName64) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `enableStatistics63` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startenableStatistics

    void startenableStatistics(String proxyName64, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `enableStatistics63` -
    Throws:
      `RemoteException`

  - ### disableStatistics

    String disableStatistics(String proxyName68) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `disableStatistics67` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startdisableStatistics

    void startdisableStatistics(String proxyName68, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `disableStatistics67` -
    Throws:
      `RemoteException`

  - ### getEndpoint

    String getEndpoint(String name72) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getEndpoint71` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetEndpoint

    void startgetEndpoint(String name72, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getEndpoint71` -
    Throws:
      `RemoteException`

  - ### stopProxyService

    String stopProxyService(String proxyName76) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `stopProxyService75` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startstopProxyService

    void startstopProxyService(String proxyName76, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `stopProxyService75` -
    Throws:
      `RemoteException`

  - ### deleteProxyService

    String deleteProxyService(String proxyName80) throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `deleteProxyService79` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startdeleteProxyService

    void startdeleteProxyService(String proxyName80, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `deleteProxyService79` -
    Throws:
      `RemoteException`

  - ### addProxy

    String addProxy(ProxyData pd84) throws RemoteException, Exception
    Auto generated method signature
    Parameters:
      `addProxy83` -
    Throws:
      `Exception` - :
      `RemoteException`

  - ### startaddProxy

    void startaddProxy(ProxyData pd84, ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `addProxy83` -
    Throws:
      `RemoteException`

  - ### getAvailableSequences

    String[] getAvailableSequences() throws RemoteException, ProxyServiceAdminProxyAdminException
    Auto generated method signature
    Parameters:
      `getAvailableSequences87` -
    Throws:
      `ProxyServiceAdminProxyAdminException` - :
      `RemoteException`

  - ### startgetAvailableSequences

    void startgetAvailableSequences(ProxyServiceAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Parameters:
      `getAvailableSequences87` -
    Throws:
      `RemoteException`